<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="stylesheet" href="../assets/css/salesOrderViewing.css">
    <link rel = "icon" href = "../assets/image/Manila Bay Thread Icon.png">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css" rel="stylesheet" integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous"/>

    <title>Customer Portal</title>
</head>
<body>
    <div id="header">
        <div>
            <img id="imageMBTC" src="../assets/image/Manila Bay Threads Logo.png">
        </div>

        <div>
            <h2 id="title">View Sales Quote</h2>
            <h4 class="text-center" id="documentId"></h4>
        </div>   

        <div id="userMenu">
            <span class="spans">Welcome</span>
            <span class="spans" id="userLoggedIn"></span>
            <img src="../assets/image/icons8-user-64.png" id="userIcon">
            <a href="#" id="logoutButton">Log Out</a>
        </div>
    </div>
      
    <form id="salesOrderViewingForm">
        <br><div id="buttonRow"></div>
      
        <!-- Account Info Start -->
        <div id="customerHeader" class="text-center">
            <h5>Account Information</h5>
        </div>
      
        <div class="container-fluid mt-4 mb-5 px-5 overflow-hidden">
  
            <div class="row g-2">
                <div class="form-group d-flex">
                    <div class="col-md-2 py-2">
                        <label for="AccountName" class="form-label">Account Name:</label>
                    </div>
                    <div class="col-md-4 py-2 pe-5">
                        <input type="text" list="accounts" class="form-control dataField accountName" id="accountName" placeholder="Account Name" readonly autocomplete="off">
                        <datalist id="accounts"></datalist>
                    </div>

                    <div class="col-md-2 py-2 ps-5">
                        <label for="status" class="form-label">Status:</label>
                    </div>
                    <div class="col-md-1 py-2">
                        <input type="text" class="form-control dataField" id="status" name="status" value="New" disabled>
                    </div>  

                    <div class="col-md-1 py-2 ps-5">
                        <label for="currentSpendingLimit" class="form-label">CSL:</label>
                    </div>
                    <div class="col-md-2 py-2">
                        <input type="text" class="form-control dataField creditLimit" id="currentSpendingLimit" name="currentSpendingLimit" placeholder="Current Spending Limit" disabled>
                    </div>  
                </div>
            </div>

            <div class="row g-2">
                <div class="form-group d-flex">
                    <div class="col-md-2 py-2">
                        <label for="address" class="form-label">Address:</label>
                    </div>
                    <div class="col-md-4 py-2 pe-5">
                        <input type="text" list="locations" class="form-control dataField address" id="address" name="address" placeholder="Customer Address" disabled>
                    </div>

                    <div class="col-md-2 py-2 ps-5">
                        <label for="creditLimit" class="form-label">Credit Limit:</label>
                    </div>
                    <div class="col-md-4 py-2">
                        <input type="text" class="form-control dataField" id="creditLimit" name="creditLimit" placeholder="Credit Limit" disabled>
                    </div>     
                </div>
            </div>
    
            <div class="row g-2">
                <div class="form-group d-flex">
                    <div class="col-md-2 py-2">
                        <label for="shipTo" class="form-label">Ship-To:</label>
                    </div>
                    <div class="col-md-4 py-2 pe-5">
                        <input type="text" list="locations" class="form-control dataField" id="shipTo" name="shipTo" placeholder="Ship To Location" disabled autocomplete="off">
                        <datalist id="locations"></datalist>
                    </div>

                    <div class="col-md-2 py-2 ps-5">
                        <label for="salesOrderId" class="form-label">Sales Quote ID:</label>
                    </div>
                    <div class="col-md-1 py-2">
                        <input type="text" class="form-control dataField salesOrderId" id="salesOrderId" name="salesOrderId" placeholder="Add-On Sales Quote ID" disabled>
                    </div>  

                    <div class="col-md-1 py-2 ps-5">
                        <label for="sapSoNumber" class="form-label">Sales Order ID:</label>
                    </div>
                    <div class="col-md-2 py-2">
                        <input type="text" class="form-control dataField" id="sapSoNumber" name="sapSoNumber" placeholder="SAP Sales Order" disabled>
                    </div>  
                </div>
            </div>
    
            <div class="row g-2">
                <div class="form-group d-flex">
                    <div class="col-md-2 py-2">
                        <label for="paymentTerms" class="form-label">Payment Terms:</label>
                    </div>
                    <div class="col-md-4 py-2 pe-5">
                        <input type="text" list="terms" class="form-control dataField" id="paymentTerms" name="paymentTerms" placeholder="Payment Terms" readonly autocomplete="off">
                        <datalist id="terms"></datalist>
                    </div>

                    <div class="col-md-2 py-2 ps-5">
                        <label for="createdOn" class="form-label">Created On:</label>
                    </div>
                    <div class="col-md-4 py-2">
                        <input type="text" class="form-control dataField" id="createdOn" name="createdOn" placeholder="Creation Date" disabled>
                    </div>
                </div>
            </div>
    
            <div class="row g-2">
                <div class="form-group d-flex">
                    <div class="col-md-2 py-2">    
                        <label for="currency" class="form-label">Currency:</label>
                    </div>
                    <div class="col-md-4 py-2 pe-5">
                        <input type="text" list="currencies" class="form-control dataField " id="currency" name="currency" placeholder="Currency" readonly autocomplete="off">
                        <datalist id="currencies"></datalist>
                    </div>
                    
                    <div class="col-md-2 py-2 ps-5"> 
                        <label for="receivedDate" class="form-label">Received Date:</label> <!-- The date when the company received the order -->
                    </div>
                    <div class="col-md-4 py-2">
                        <input type="date" class="form-control dataField" id="receivedDate" name="receivedDate" readonly>
                    </div>
                </div>
            </div>
    
            <div class="row g-2">
                <div class="form-group d-flex">
                    <div class="col-md-2 py-2">
                        <label for="externalReference" class="form-label">External Reference:</label>
                    </div>
                    <div class="col-md-4 py-2 pe-5">
                        <input type="text" class="form-control dataField" id="externalReference" name="externalReference" placeholder="Enter External Reference" readonly autocomplete="off">
                    </div>
                    
                    <div class="col-md-2 py-2 ps-5">
                        <label for="requestedDate" class="form-label">Customer Requested Date:</label><!-- The date when the customer wants to receive the order -->
                    </div>
                    <div class="col-md-4 py-2">
                        <input type="date" class="form-control dataField" id="requestedDate" name="requestedDate" readonly>
                    </div>
                </div>
            </div>
    
            <div class="row g-2">
                <div class="form-group d-flex">  
                    <div class="col-md-2 py-2">    
                        <label for="tps" class="form-label">TPS:</label>
                    </div>
                    <div class="col-md-4 py-2 pe-5">
                        <select class="form-select" id="tps" name="tps" disabled>
                            <option id='initialTpsOption' value=""></option>
                        </select>
                    </div>

                    <div class="col-md-2 py-2 ps-5">
                        <label for="deliveryDate" class="form-label">Order Delivery Date:</label>
                    </div>
                    <div class="col-md-4 py-2">
                        <input type="text" class="form-control dataField" id="deliveryDate" name="deliveryDate" placeholder="Order Delivery Date" disabled >
                    </div>
                </div>        
            </div>
    
            <div class="row g-2">
                <div class="form-group d-flex">
                    <div class="col-md-2 py-2">    
                        <label for="customerGroup" class="form-label">Customer Group</label>
                    </div>
                    <div class="col-md-4 py-2 pe-5">
                        <select class="form-select" id="customerGroup" name="customerGroup" disabled>
                            <option id="initialCustomerGroupOption" value="" selected></option>
                        </select>
                    </div>
                
                    <div class="col-md-2 py-2 ps-5">
                        <label for="deliveryPriority" class="form-label ">Delivery Priority:</label>
                    </div>
                    <div class="col-md-4 py-2">
                        <select class="form-select" id="deliveryPriority" name="deliveryPriority" disabled>
                            <option id="initialDeliveryPriorityOption" value="" selected></option>
                            <option value="01">Immediate</option>
                            <option value="02">Urgent</option>
                            <option value="03">Normal</option>
                            <option value="04">Low</option>
                        </select>
                    </div>
                </div>
            </div>
    
            <div class="row g-2">
                <div class="form-group d-flex">
                    <div class="col-md-2 py-2">
                        <label for="distributionChannel" class="form-label ">Distribution Channel:</label>
                    </div>
                    <div class="col-md-4 py-2 pe-5">
                        <select class="form-select" id="distributionChannel" name="distributionChannel" disabled>
                            <option id="initialDistributionChannelOption" value="" selected></option>
                        </select>
                    </div> 

                    <div class="col-md-2 py-2 ps-5">
                        <label for="salesGroup" class="form-label">Sales Group:</label>
                    </div>
                    <div class="col-md-4 py-2">
                        <input type="text" class="form-control dataField" id="salesGroup" name="salesGroup" placeholder="Sales Group" disabled>
                    </div>
                </div>
            </div>

            <div class="row g-2">
                <div class="form-group d-flex">
                    <div class="col-md-2 py-2 ">
                        <label for="salesOrigin" class="form-label ">Sales Origin:</label>
                    </div>
                    <div class="col-md-2 py-2">
                        <select class="form-select" id="salesOrigin" name="salesOrigin" disabled>
                            <option value="" selected></option>
                            <option value="Fax">Fax</option>
                            <option value="Email">Email</option>
                            <option value="Phone">Phone</option>
                            <option value="By Salesman">By Salesman</option>
                        </select>
                    </div>

                    <div class="col-md-1 py-2 ps-4">
                        <label class="form-check-label" for="completeDelivery">Complete Delivery:</label>
                    </div>
                    <div class="col-md-1 py-2 ps-5">
                        <input class="form-check-input" type="checkbox" id="completeDelivery" disabled>
                    </div>  

                    <div class="col-md-2 py-2 ps-5">
                        <label for="mbAccountId" class="form-label">MB Account ID:</label>
                    </div>
                    <div class="col-md-4 py-2">
                        <input type="text" class="form-control dataField" id="mbAccountId" name="mbAccountId" placeholder="MB Account ID" disabled>
                    </div>
                </div>
            </div>
    
            <div class="row g-2">
                <div class="form-group d-flex">
                    <div class="col-md-2 py-2">
                        <label for="custInformation" class="form-label">Customer Information:</label>
                    </div>
                    <div class="col-md-4 py-2 pe-5">
                        <textarea class="form-control dataField" id="custInformation" name="custInformation" rows="3" placeholder="Type in your Special Instructions here" readonly></textarea>
                    </div>

                    <div class="col-md-6">
                        <div class="row">
                            <div class="col-md-4 py-2 ps-5">    
                                <label for="overTolerance" class="form-label">Over Tolerance:</label>
                            </div>
                            <div class="col-md-8 py-2">
                                <input type="text" class="form-control dataField " id="overTolerance" name="overTolerance" placeholder="Over Tolerance" disabled>
                            </div>
                        </div>
                        
                        <div class="row">
                            <div class="col-md-4 py-2 ps-5">    
                                <label for="underTolerance" class="form-label">Under Tolerance:</label>
                            </div>
                            <div class="col-md-8 py-2">
                                <input type="text" class="form-control dataField " id="underTolerance" name="underTolerance" placeholder="Under Tolerance" disabled>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row g-2">
                <div class="form-group d-flex">
                    <div class="col-md-2 py-2">
                        <label for="comment" class="form-label">Internal Comment:</label>
                    </div>
                    <div class="col-md-4 py-2 pe-5">
                        <textarea class="form-control dataField" id="comment" name="comment" rows="3" placeholder="Type in your Special Instructions here" readonly></textarea>
                    </div>

                    <div class="col-md-6">
                        <div class="row">
                            <div class="col-md-4 py-2 ps-5">    
                                <label for="requestor" class="form-label">Employee Name:</label>
                            </div>
                            <div class="col-md-8 py-2">
                                <input type="text" class="form-control dataField " id="requestor" name="requestor" placeholder="Employee Name" disabled>
                            </div>
                        </div>
                        
                        <div class="row">
                            <div class="col-md-4 py-2 ps-5">    
                                <label for="employeeId" class="form-label">Employee ID:</label>
                            </div>
                            <div class="col-md-8 py-2">
                                <input type="text" class="form-control dataField " id="employeeId" name="employeeId" placeholder="Employee ID" disabled>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row g-2">
                <div class="form-group d-flex">
                    <div class="col-md-2 py-2">
                        <label for="deliveryBlock" class="form-label ">Delivery Block Reason:</label>
                    </div>
                    <div class="col-md-4 py-2 pe-5">
                        <input type="text" class="form-control dataField" id="deliveryBlock" name="deliveryBlock" placeholder="Delivery Block Reason" disabled>
                    </div> 

                    <div class="col-md-2 py-2 ps-5">
                        <label for="invoiceBlock" class="form-label">Invoice Block Reason:</label>
                    </div>
                    <div class="col-md-4 py-2">
                        <input type="text" class="form-control dataField" id="invoiceBlock" name="invoiceBlock" placeholder="Invoice Block Reason" disabled>
                    </div>
                </div>
            </div>

            <div class="row g-2">
                <div class="form-group d-flex">
                    <div class="col-md-2 py-2">
                        <label for="cancellationReason" class="form-label ">Cancellation Reason:</label>
                    </div>
                    <div class="col-md-4 py-2 pe-5">
                        <textarea class="form-control dataField" id="cancellationReason" name="cancellationReason" rows="3" placeholder="Cancellation Reason" disabled></textarea>
                    </div> 

                    <div class="col-md-2 py-2 ps-5">
                        <label for="postingError" class="form-label">Posting Error:</label>
                    </div>
                    <div class="col-md-4 py-2">
                        <textarea class="form-control dataField" id="postingError" name="postingError" rows="3" placeholder="Posting Error" disabled></textarea>
                    </div>
                </div>
            </div>
    
        </div>
        <!-- Account Info End -->
      
        <!-- Sales Order Header Start -->
        <div id="itemHeader">
            <h5 class="text-center">Sales Quote Details</h5>
        </div>
        <!-- Sales Order Header End -->
      
      <!--Sales Order Details-->
      <div>
           <table class="table table-striped mb-0">
                <thead>
                    <tr>
                        <th style="width: 2rem;" class="text-center">No.</th>
                        <th style="width: 10rem;" class="text-center">Category ID</th>
                        <th style="width: 7.5rem;" class="text-center">Config ID</th>  
                        <th style="width: 12rem;" class="text-center">Product ID</th>
                        <th style="width: 9rem;" class="text-center">Description</th>
                        <th style="width: 7rem;" class="text-center">Stock</th>
                        <th style="width: 5rem;" class="text-center">L.T.</th>  
                        <th style="width: 8rem;" class="text-center">C.E.C.</th>
                        <th style="width: 5rem;" class="text-center">M.O.Q.</th>              
                        <th style="width: 9rem;" class="text-center">Quantity</th>
                        <th style="width: 7.5rem;" class="text-center">U.O.M.</th>
                        <th style="width: 7rem;" class="text-center">List Price</th>
                        <th style="width: 4rem;" class="text-center">Discount</th>
                        <th style="width: 7rem;" class="text-center">Net Price</th>
                        <th style="width: 11.5rem;" class="text-center">Net Value</th>
                        <th style="width: 9.5rem;" class="text-center">Tax</th>                        
                        <th style="width: 11.5rem;" class="text-center">Total</th>
                        <th class="text-center">Action</th>
                    </tr>
                </thead>
                <tbody id="productTableContainer"></tbody>
                <tbody>  
                    <tr>
                        <td>New</td>
                        <td>
                            <input type="text" list="productCategories" class="form-control dataField text-center" id="productCategory" readonly autocomplete="off">
                            <datalist id="productCategories"></datalist>
                        </td>
                        <td>
                            <input type="text" list="configIds" class="form-control dataField text-center" id="configId" readonly autocomplete="off">
                            <datalist id="configIds"></datalist>
                        </td>
                        <td><input type="text" class="form-control dataField text-center" id="productId" readonly></td>
                        <td><input type="text" class="form-control dataField text-center" id="productDescription" disabled></td>
                        <td><input type="text" class="form-control dataField text-center" id="stockQuantity" readonly></td>
                        <td><input type="text" class="form-control dataField text-center" id="leadTime" disabled></td>
                        <td><input type="text" class="form-control dataField text-center" id="partNumber" readonly></td>
                        <td><input type="text" class="form-control dataField text-center" id="moq" disabled></td>
                        <td><input type="number" class="form-control dataField text-center" id="quantity" readonly min="1"></td>
                        <td>
                            <input type="text" list="uoms" class="form-control dataField text-center" id="uom" readonly>
                            <datalist id="uoms"></datalist>
                        </td>
                        <td><input type="text" class="form-control dataField text-center" id="listPrice" readonly></td>
                        <td><input type="text" class="form-control dataField text-center" id="discount" min="1" readonly></td>
                        <td><input type="text" class="form-control dataField text-center" id="netPrice" disabled></td>
                        <td><input type="text" class="form-control dataField text-center" id="netValue" disabled></td>
                        <td><input type="text" class="form-control dataField text-center" id="taxAmount" disabled></td>
                        <td><input type="text" class="form-control dataField text-center" id="totalPerLine" disabled></td>
                        <td>
                            <div class="d-flex justify-content-center">
                                <button class="crudButton button btn me-1" id="addItems" disabled>
                                    <i class="fas fa-plus"></i>
                                </button>
                            </div>
                        </td>
                    </tr>
                </tbody>
                <tfoot>
                    <tr>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th class="text-center">Total Net Value:</th>
                        <th class="text-center">Total Tax Amount:</th>
                        <th class="text-center">Total Amount:</th>
                        <th></th>
                    </tr>
                    <tr>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td><input type="text" class="form-control dataField text-center" value="" id="totalNetValue" name="itemstotalNetValue" readonly></td>
                        <td><input type="text" class="form-control dataField text-center" value="" id="totalTaxAmount" name="itemstotalTaxAmount" readonly></td>
                        <td><input type="text" class="form-control dataField text-center" value="" id="itemstotalAmount" name="itemstotalAmount" readonly></td>
                        <td></td>
                    </tr>
                </tfoot>
            </table>
        </div>
        <!-- Sales Order Details End -->
    </form>
    
    <!-- Accept or Reject Modal -->
    <div class="modal fade" id="acceptOrRejectModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Ordered Quantity is less than Minimum Order Quantity <span id="moqQty"></span>.</h5>
                    <button type="button" class="close" id="closeAcceptOrRejectModalButton" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body mx-auto">
                    <button type="button" id="acceptModalButton" class="btn btn-primary">Accept</button>
                    <button type="button" id="rejectModalButton" class="btn btn-primary">Reject</button>
                </div>
            </div>
        </div>
    </div>
    
    <!-- Delivery Block Modal -->
    <!-- <div class="modal fade" id="deliveryBlockModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Delivery Block Reason:</h5>
                    <button type="button" class="close" id="closeDeliveryBlockModalButton" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <select class="form-select"  id="deliveryBlockSelection" name="deliveryBlockSelection">
                        <option value="01">Credit Limit</option>
                        <option value="02">Political Reason</option>
                        <option value="03">Bottleneck Product</option>
                        <option value="04">Down Payment Required</option>
                        <option value="91">Customer Request</option>
                    </select>
                </div>
                <div class="modal-footer">
                    <button type="button" id="deliveryBlockModalButton" class="btn btn-primary">Set Delivery Block</button>
                </div>
            </div>
        </div>
    </div> -->

    <!-- Cancel Modal -->
    <div class="modal fade" id="cancelModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Reason for Cancellation:</h5>
                    <button type="button" class="close" id="closeCancelModalButton" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <select class="form-select"  id="explanation" name="explanation">
                        <option value="No Longer Needed">No Longer Needed</option>
                        <option value="Cancelled by Buyer">Cancelled by Buyer</option>
                        <option value="Change in Color">Change in Color</option>
                        <option value="Change in Item">Change in Item</option>
                        <option value="Wrong Order by Customer">Wrong Order by Customer</option>
                        <option value="Wrong PO Reference">Wrong PO Reference</option>
                    </select>
                </div>
                <div class="modal-footer">
                    <button type="button" id="cancelModalButton" class="btn btn-primary">Cancel Sales Order</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Yes or No Modal -->
    <div class="modal fade" id="yesOrNoModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Set Invoice Block?<span id="empName"></span>:</h5>
                    <button type="button" class="close" id="closeYesOrNoModalButton" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body mx-auto">
                    <button type="button" id="yesButton" class="btn btn-primary">Yes</button>
                    <button type="button" id="noButton" class="btn btn-primary">No</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Invoice Block Modal -->
    <div class="modal fade" id="invoiceBlockModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Delivery Block Reason:</h5>
                    <button type="button" class="close" id="closeInvoiceBlockModalButton" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <select class="form-select"  id="invoiceBlockSelection" name="invoiceBlockSelection">
                        <option value="01">Calculation Missing</option>
                        <option value="02">Confirmation Still Open</option>
                        <option value="03">Pricing Incomplete</option>
                        <option value="04">Delivery Incomplete</option>
                        <option value="90">Default Invoice Block Reason for Returns</option>
                        <option value="Z5">With Unpaid Invoice</option>
                        <option value="Z6">With Bounced Check</option>
                        <option value="Z7">Closed Account</option>
                    </select>
                </div>
                <div class="modal-footer">
                    <button type="button" id="invoiceBlockModalButton" class="btn btn-primary">Set Invoice Block</button>
                </div>
            </div>
        </div>
    </div>

    <div id="myimgdivshowhide">
        <img src="../assets/image/loading.gif" alt="Loading..." id="loadingGif"/>
    </div>

    <footer class="footer">
        <a  href="https://www.service101plus.com/"> <img id="imgsaplogo" src="../assets/image/Service101Plus Icon.png" style="height: 25px;">Copyright © 2021 All Rights Reserved | Service 101 plus Consulting Inc.</a>
    </footer>

    <script src="../assets/js/salesOrderViewing.js"></script>   
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>       
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
</body>
</html>
